Subject: Re: [PATCH/RFC 3/3] ci: run a pedantic build as part of the GitHub workflow

From: Junio C Hamano <[email-masked]>
Date: Wed, 01 Sep 2021 10:55:41 -0700

Jeff King <[email-masked]> writes:

> On Tue, Aug 31, 2021 at 04:54:52PM -0700, Carlo Arenas wrote:
>
>> On Tue, Aug 31, 2021 at 1:57 PM Ævar Arnfjörð Bjarmason
>> <[email-masked]> wrote:
>> >
>> > On the other hand maybe we should just remove
>> > USE_PARENS_AROUND_GETTEXT_N entirely, i.e. always use the parens.
>> 
>> that would break pedantic in all versions of gcc since it is a GNU
>> extension and is not valid in any C standard.
>> (unlike the ones we are using with weather balloons and that are valid C99)
>
> I think Ævar might have mis-spoke there. It would make sense to get rid
> of the feature and _never_ use parens, which is always valid C (and does
> not tickle pedantic, but also does not catch any accidental string
> concatenation).
>
> That actually seems quite reasonable to me.

That does sound sensible.

> Something like this, I guess?

Looks good.  We could give a warning when the now defunct knob is
used, but I don't think there is anything gained by doing so (over
just silently ignoring it).